{
    attributes = (
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PERS_LC; 
            externalType = VARCHAR2; 
            name = persLc; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            columnName = PERS_LIBELLE; 
            externalType = VARCHAR2; 
            name = persLibelle; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = PERS_NOMPTR; 
            externalType = VARCHAR2; 
            name = persNomptr; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = PERS_ORDRE; 
            externalType = NUMBER; 
            name = persOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERS_TYPE; 
            externalType = VARCHAR2; 
            name = persType; 
            valueClassName = NSString; 
            width = 5; 
        }
    ); 
    attributesUsedForLocking = (persId); 
    className = EOGenericRecord; 
    classProperties = (persId, persType, persOrdre, persLibelle, persLc, persNomptr); 
    externalName = GRHUM.PERSONNE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = PERSONNE; }; 
    name = GrhumPersonne; 
    primaryKeyAttributes = (persId); 
}
